
void _efl_ui_widget_factory_item_class_set(Eo *obj, Efl_Ui_Widget_Factory_Data *pd, const Efl_Class *klass);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_widget_factory_item_class_set, EFL_FUNC_CALL(klass), const Efl_Class *klass);

const Efl_Class *_efl_ui_widget_factory_item_class_get(const Eo *obj, Efl_Ui_Widget_Factory_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_factory_item_class_get, const Efl_Class *, NULL);

Efl_Object *_efl_ui_widget_factory_efl_object_constructor(Eo *obj, Efl_Ui_Widget_Factory_Data *pd);


Eina_Future *_efl_ui_widget_factory_efl_ui_factory_create(Eo *obj, Efl_Ui_Widget_Factory_Data *pd, Eina_Iterator *models);


void _efl_ui_widget_factory_efl_ui_factory_release(Eo *obj, Efl_Ui_Widget_Factory_Data *pd, Eina_Iterator *ui_views);


Eina_Error _efl_ui_widget_factory_efl_ui_property_bind_property_bind(Eo *obj, Efl_Ui_Widget_Factory_Data *pd, const char *key, const char *property);


Eina_Error _efl_ui_widget_factory_efl_ui_factory_bind_factory_bind(Eo *obj, Efl_Ui_Widget_Factory_Data *pd, const char *key, Efl_Ui_Factory *factory);


Efl_Object *_efl_ui_widget_factory_efl_part_part_get(const Eo *obj, Efl_Ui_Widget_Factory_Data *pd, const char *name);


Efl_Object *_efl_ui_widget_factory_efl_object_finalize(Eo *obj, Efl_Ui_Widget_Factory_Data *pd);


static Eina_Bool
_efl_ui_widget_factory_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_WIDGET_FACTORY_EXTRA_OPS
#define EFL_UI_WIDGET_FACTORY_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_widget_factory_item_class_set, _efl_ui_widget_factory_item_class_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_factory_item_class_get, _efl_ui_widget_factory_item_class_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_widget_factory_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_ui_factory_create, _efl_ui_widget_factory_efl_ui_factory_create),
      EFL_OBJECT_OP_FUNC(efl_ui_factory_release, _efl_ui_widget_factory_efl_ui_factory_release),
      EFL_OBJECT_OP_FUNC(efl_ui_property_bind, _efl_ui_widget_factory_efl_ui_property_bind_property_bind),
      EFL_OBJECT_OP_FUNC(efl_ui_factory_bind, _efl_ui_widget_factory_efl_ui_factory_bind_factory_bind),
      EFL_OBJECT_OP_FUNC(efl_part_get, _efl_ui_widget_factory_efl_part_part_get),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_ui_widget_factory_efl_object_finalize),
      EFL_UI_WIDGET_FACTORY_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_widget_factory_class_desc = {
   EO_VERSION,
   "Efl.Ui.Widget_Factory",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Widget_Factory_Data),
   _efl_ui_widget_factory_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_widget_factory_class_get, &_efl_ui_widget_factory_class_desc, EFL_LOOP_CONSUMER_CLASS, EFL_UI_FACTORY_INTERFACE, EFL_PART_INTERFACE, NULL);
